package com.tamoggemon.heisegoldwear2;

import android.support.wearable.complications.ComplicationData;
import android.support.wearable.complications.ComplicationManager;
import android.support.wearable.complications.ComplicationProviderService;
import android.support.wearable.complications.ComplicationText;
import android.util.Log;

/**
 * Created by tamhan on 14.5.2017.
 */

public class HeiseRangedClass extends ComplicationProviderService {
    @Override
    public void onComplicationUpdate(int complicationId, int dataType, ComplicationManager complicationManager) {


        ComplicationData complicationData = null;

        if (dataType == ComplicationData.TYPE_RANGED_VALUE){
                complicationData = new ComplicationData.Builder(ComplicationData.TYPE_RANGED_VALUE)
                        .setValue(22)
                        .setMinValue(0)
                        .setMaxValue(100)
                        .setShortText(ComplicationText.plainText("Hallo Welt!"))
                        .build();}

        if(complicationData!=null)complicationManager.updateComplicationData(complicationId, complicationData);
        else complicationManager.noUpdateRequired(complicationId);
    }

    @Override
    public void onComplicationActivated( int complicationId, int dataType, ComplicationManager complicationManager) {
        Log.d("Heise", "onComplicationActivated(): " + complicationId);
        super.onComplicationActivated(complicationId, dataType, complicationManager);
    }


    @Override
    public void onComplicationDeactivated(int complicationId) {
        Log.d("Heise", "onComplicationDeactivated(): " + complicationId);
        super.onComplicationDeactivated(complicationId);
    }
}
