package com.tamoggemon.heisegoldwear2;

import android.app.Activity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.Network;
import android.os.Bundle;
import android.support.wearable.view.WatchViewStub;
import android.util.Log;
import android.view.KeyEvent;
import android.widget.TextView;

public class MainActivity extends Activity implements KeyEvent.Callback{

    ConnectivityManager myConnMan;
    private TextView mTextView;
    private int myCounter=0;

    private void refreshScreen()
    {
        Log.e("Wear", Integer.toString(myCounter));
    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case KeyEvent.KEYCODE_NAVIGATE_NEXT:
                myCounter++;
                if(myCounter>2)myCounter=0;
                refreshScreen();
                return true;
            case KeyEvent.KEYCODE_NAVIGATE_PREVIOUS:
                myCounter--;
                if(myCounter<0)myCounter=2;
                refreshScreen();
                return true;
        }
        return super.onKeyDown(keyCode, event);
    }


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        final WatchViewStub stub = (WatchViewStub) findViewById(R.id.watch_view_stub);
        stub.setOnLayoutInflatedListener(new WatchViewStub.OnLayoutInflatedListener() {
            @Override
            public void onLayoutInflated(WatchViewStub stub) {
                refreshScreen();
                
                /*mTextView = (TextView) stub.findViewById(R.id.text);
                int MIN_BANDWIDTH_KBPS = 16; //4x Google-Empfehlung
                myConnMan =
                        (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
                Network activeNetwork = myConnMan.getActiveNetwork();

                if (activeNetwork != null) {
                    int bandwidth = myConnMan.getNetworkCapabilities(activeNetwork).getLinkDownstreamBandwidthKbps();

                    if (bandwidth < MIN_BANDWIDTH_KBPS) {
                        mTextView.setText("Bandbreite unzureichend");
                    } else {
                        mTextView.setText("Bereit zum Netzwerkzugriff");
                    }
                }
                else{
                    mTextView.setText("Kein Netz!");

                }*/
            }
        });
    }
}
